QGIS Application - Bug report #10678
python error when trying to execute Distribution map generator
2014-06-23 08:11 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 19076

Description

An error has occured while executing Python code:

Traceback (most recent call last):
File "C:/Users/florin/.qgis2/python/plugins\\DistroMap\\distromap.py", line 99, in confirm
self.process()
File "C:/Users/florin/.qgis2/python/plugins\\DistroMap\\distromap.py", line 289, in process
self.selectByAttribute(taxon)
File "C:/Users/florin/.qgis2/python/plugins\\DistroMap\\distromap.py", line 173, in selectByAttribute
if unicode(str(feature.attributes()[int(selectindex)])) == unicode(str(value)):
UnicodeEncodeError: 'ascii' codec can't encode character u\\xe2' in position 9: ordinal not in range(128)

Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:
2.3.0-Master Master, d62a498

Python path: ['C:/Users/florin/.qgis2/python/plugins\\\\processing', 'C:\\WUsers\\\florin\\\\.qgis2\\\\python\\\\plugins\\\\GeoCoding',
'F:/QGISWE~1/apps/qgis-dev/./python’, u'C:/Users/florin/.qgis2/python’, u'C:/Users/florin/.qgis2/python/plugins’,
'F:/QGISWE~1/apps/qgis-dev/./python/plugins’, 'FA\WQGISWE~1\\\bin\\\python27.zip',
'FAWQGISWE~1\Wapps\\W\Python27\WDLLs', 'FAWQGISWE~1\\W\apps\\\Python27\\\\lib',
'FAWQGISWE~1\Wapps\\WPython27\\\lib\Wplat-win', 'FAWQGISWE~1\\W\apps\\\Python27\\\lib\\\lib-tk', 'F:\WQGISWE~1\bin',
'FA\WNQGISWE~1\\Wapps\\WPython27', 'FA\\WQGISWE~1\\W\apps\\\Python27\\\\lib\\\\site-packages’,
'FAWQGISWE~1\Wapps\\W\Python27\\\lib\\\site-packages\\PIL',
'FA\NQGISWE~1\\Wapps\\WPython27\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.eggd’,
'FA\WQGISWE~1\\Wapps\\Python27\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg’,
'FA\NQGISWE~1\\Wapps\\Python27\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg’,
'FA\NQGISWE~1\\Wapps\\WPython27\\\lib\\\\site-packages\\\win32',
'FA\NQGISWE~1\\Wapps\\WPython27\\Wib\\\site-packages\\\win32\\\\lib',
'FAWQGISWE~1\Wapps\\W\Python27\\\ib\\\site-packages\\\\Pythonwin’,
'FAWQGISWE~1\Wapps\\WPython27\\\ib\\\site-packages\\\Shapely-1.2.18-py2.7-win-amd64.egg’,
'FA\NQGISWE~1\\Wapps\\WPython27\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',
"FAWQGISWE~1\\apps\\W\Python27\\\lib\\\site-packages\\\\wx-2.8-msw-unicode’,
'FAWQGISWE~1\\Wapps\\W\Python27\\\lib\\\site-packages\\\\xIrd-0.9.2-py2.7.eggd’,
"FAWQGISWE~1\\Wapps\\\Python27\\\lib\\\site-packages\\\\xlwt-0.7.5-py2.7.eggd’,
'C:/Users/florin/.qgis2/python/plugins\\\DataDrivenlnputMask’, 'C:\\WUsers\\\florin\\\.ggis2\\\\python\\\\plugins\\\mmqgis/forms',
'FAWQGISWE~1\Wapps\\\\qgis-dev\\\\python\\\\plugins\\\fTools\\\\tools',
'C:\WUsers\\Wlorin\\\.ggis2\\\\python\\\\plugins\\mmgqgis/forms']
History

#1 - 2014-06-23 08:15 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

it is a 3rd party plugin

you must use its own tracker

https://github.com/rudivs/DistroMap/issues
